﻿using UnityEngine;
using jp.nyatla.nyartoolkit.cs.core;

/*
 * The NyARUnityHelper contains helpful methods for the NyARToolkit.
 */
public static class NyARUnityHelper
{
    // Markers have a really strange alignment. This function transforms them to something useable by us.
    public static void CorrectAlignment(Transform transform)
    {
        transform.RotateAround(transform.position, transform.right, 90);
        transform.RotateAround(transform.position, transform.up, 180);
    }

    public static NyARDoubleMatrix44 Copy(this NyARDoubleMatrix44 original)
    {
        var copy = new NyARDoubleMatrix44();
        copy.setValue(original);
        return copy;
    }
}
